## python-toonapi 0.3.0

=== Makefile ===
.DEFAULT_GOAL := help
export VENV := $(abspath venv)
export PATH := ${VENV}/bin:${PATH}

define BROWSER_PYSCRIPT
import os, webbrowser, sys

try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

BROWSER := python -c "$$BROWSER_PYSCRIPT"

.PHONY: help
help: ## Shows this message.
	@echo "Asynchronous Python client for the Quby ToonAPI."; \
	echo; \
	echo "Usage:"; \
	awk -F ':|##' '/^[^\t].+?:.*?##/ {\
		printf "\033[36m  make %-30s\033[0m %s\n", $$1, $$NF \
	}' $(MAKEFILE_LIST)

.PHONY: dev
dev: install-dev install ## Set up a development environment.

.PHONY: black
black: lint-black

.PHONY: lint
lint: lint-black lint-flake8 lint-pylint lint-mypy ## Run all linters.

.PHONY: lint-black
lint-black: ## Run linting using black & blacken-docs.
	black --safe --target-version py36 toonapi tests examples; \
	blacken-docs --target-version py36

.PHONY: lint-flake8
lint-flake8: ## Run linting using flake8 (pycodestyle/pydocstyle).
	flake8 toonapi

.PHONY: lint-pylint
lint-pylint: ## Run linting using PyLint.
	pylint toonapi

.PHONY: lint-mypy
lint-mypy: ## Run linting using MyPy.
	mypy -p toonapi

.PHONY: test
test: ## Run tests quickly with the default Python.
	pytest --cov-report html --cov-report term --cov-report xml:cov.xml --cov=toonapi .;

.PHONY: coverage
coverage: test ## Check code coverage quickly with the default Python.
	$(BROWSER) htmlcov/index.html

.PHONY: install
install: clean ## Install the package to the active Python's site-packages.
	pip install -Ur requirements.txt; \
	pip install -e .;

.PHONY: clean clean-all
clean: clean-build clean-pyc clean-test ## Removes build, test, coverage and Python artifacts.
clean-all: clean-build clean-pyc clean-test clean-venv ## Removes all venv, build, test, coverage and Python artifacts.

.PHONY: clean-build
clean-build: ## Removes build artifacts.
	rm -fr build/; \
	rm -fr dist/; \
	rm -fr .eggs/; \
	find . -name '*.egg-info' -exec rm -fr {} +; \
	find . -name '*.egg' -exec rm -fr {} +;

.PHONY: clean-pyc
clean-pyc: ## Removes Python file artifacts.
	find . -name '*.pyc' -delete; \
	find . -name '*.pyo' -delete; \
	find . -name '*~' -delete; \
	find . -name '__pycache__' -exec rm -fr {} +;

.PHONY: clean-test
clean-test: ## Removes test and coverage artifacts.
	rm -f .coverage; \
	rm -fr htmlcov/; \
	rm -fr .pytest_cache;

.PHONY: clean-venv
clean-venv: ## Removes Python virtual environment artifacts.
	rm -fr venv/;

.PHONY: dist
dist: clean ## Builds source and wheel package.
	python setup.py sdist; \
	python setup.py bdist_wheel; \
	ls -l dist;

.PHONY: release
release:  ## Release build on PyP
	twine upload dist/*

.PHONY: venv
venv: clean-venv ## Create Python venv environment.
	python3 -m venv venv;

.PHONY: install-dev
install-dev: clean
	pip install -Ur requirements_dev.txt; \
	pip install -Ur requirements_test.txt; \
	pre-commit install;

=== requirements.txt ===
aiohttp==3.8.5
backoff==1.10.0
yarl==1.4.2

=== debian/changelog ===
python-toonapi (0.3.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 17:09:33 +0900

python-toonapi (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1077012)

 -- Edward Betts <edward@4angle.com>  Thu, 25 Jul 2024 17:33:22 +0900

=== debian/control ===
Source: python-toonapi
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/frenck/python-toonapi
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-toonapi
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-toonapi.git

Package: python3-toonapi
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Asynchronous Python client for the Quby ToonAPI
 An asynchronous Python library to interface with the Quby ToonAPI, allowing
 interaction with Quby thermostats. These thermostats are rebranded and sold as
 Eneco Toon, Engie Electrabel Boxx, and Viesgo. The library provides
 functionalities to control and monitor these thermostats using the shared API
 endpoint. It supports various operations such as retrieving agreements,
 activating agreements, and updating thermostat status. The library is
 optimized for integration with home automation systems like Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=toonapi

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf toonapi.egg-info/

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-toonapi-$1\.tar\.gz/ \
  https://github.com/frenck/python-toonapi/tags .*/v?(\d\S+)\.tar\.gz
